
Ruby - Bug #14483

Enchance Method docs

02/16/2018 11:55 AM - zverok (Victor Shepelev)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

Main changes:

fix conflict with Proc methods documentation (currently one can see in fact Proc#call docs in place of Method#call);

add code examples to various Method's methods and Object#method;

emphasize (in code examples and docs) the &method(:name) idiom.

Associated revisions

Revision 2f7880e18a96567a085aad6b8c436c1ccfccc712 - 10/21/2018 03:33 PM - aycabta (aycabta .)

Improve docs of Proc / Method

proc.c: Add descriptions and code examples.

[ruby-core:85600] [Bug #14483]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@65283 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 2f7880e18a96567a085aad6b8c436c1ccfccc712 - 10/21/2018 03:33 PM - aycabta (aycabta .)

Improve docs of Proc / Method

proc.c: Add descriptions and code examples.

[ruby-core:85600] [Bug #14483]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@65283 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 2f7880e1 - 10/21/2018 03:33 PM - aycabta (aycabta .)

Improve docs of Proc / Method

proc.c: Add descriptions and code examples.

[ruby-core:85600] [Bug #14483]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@65283 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/16/2018 12:11 PM - shevegen (Robert A. Heiler)

\o/

#2 - 05/17/2018 07:25 AM - naruse (Yui NARUSE)

- Tracker changed from Misc to Bug

- Assignee set to 13939

- Backport set to 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5: UNKNOWN

#3 - 08/09/2018 10:43 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

#4 - 10/21/2018 03:33 PM - aycabta (aycabta .)

- Status changed from Assigned to Closed
http://ruby-doc.org/core-2.5.0/Method.html#method-i-call


Applied in changeset trunk|r65283.

Improve docs of Proc / Method

proc.c: Add descriptions and code examples.

[ruby-core:85600] [Bug #14483]

Files

method-docs.patch 3.27 KB 02/16/2018 zverok (Victor Shepelev)
